from collective.ftw.upgrade import UpgradeStep


class WorkspacesBarceloneta(UpgradeStep):
    """Blacklist workspace app layers derived from INoBarcelonetaLayer.

    Unless blacklisted, those are switched on, on traversal to the workspaces
    container, by ploneintranet.layout.layers.enable_app_layer(). Subsequently
    they would then cause viewlets bound to INoBarcelonetaLayer to render and
    ruin the UI in Barceloneta.
    """

    def __call__(self):
        self.install_upgrade_profile()
